{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
Resume Parser
Upload a resume for parsing
deprecated
New customers: this endpoint is part of our legacy v2 API. We recommend using the POST /documents endpoint from our updated API instead — it supports parsing of all document types (resumes, invoices, etc.) through a single, unified interface.
Uploads a resume for parsing. When successful, returns an identifier in the response for subsequent use with the /resumes/ endpoint to check processing status and retrieve results.
Resumes can be uploaded as a file or a URL. In addition, data can be added directly if users want to upload directly without parsing any resume file. For uploading resume data, the data argument provided must be a JSON-encoded string. Data uploads will not impact upon parsing credits.
POST
/
v2
/
resumes
Upload a resume for parsing
curl --request POST \ --url https://{region}.affinda.com/v2/resumes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file=@example-file \ --form url=https://api.affinda.com/static/sample_resumes/example.docx \ --form 'data={ "name": { "raw": "Tim A. Smith", "first": "Tim", "last": "Smith", "middle": "A.", "title": "Dr" }, "phoneNumbers": [ "(704) 996-9966", "+61412632636" ], "phoneNumberDetails": [ { "rawText": "+61412632636", "formattedNumber": "+61 412 632 636", "countryCode": "AU", "internationalCountryCode": 61, "nationalNumber": "0412 632 636" } ], "websites": [ "www.timsmith.com" ], "emails": [ "timsmith@vt.edu" ], "dateOfBirth": "1992-01-01", "location": { "rawInput": "Blacksburg, VA" }, "objective": "", "languages": [ "English", "French", "Arabic" ], "summary": "", "totalYearsExperience": 13, "education": [ { "id": 2, "organization": "Virginia Polytechnic Institute and State University (Virginia Tech)", "accreditation": { "education": "Bachelor of Science" }, "grade": { "raw": "GPA : 3.35", "metric": "GPA", "value": "3.35" }, "location": { "rawInput": "Blacksburg, VA" }, "dates": { "completionDate": "2021-05-01", "isCurrent": true, "startDate": "2019-05-01", "rawText": "May-Aug '\''18" } } ], "workExperience": [ { "id": 2, "jobTitle": "Sales and retail assistants", "organization": "General Motors", "location": { "rawInput": "Blacksburg, VA" }, "jobDescription": "Interned with supercar Development from May 2017 to August 2017.", "dates": { "startDate": "2018-05-01", "endDate": "2018-08-01", "monthsInPosition": 1, "isCurrent": true, "rawText": "May-Aug '\''18" } } ], "skills": [ { "id": 2, "name": "Applied Mechanics", "lastUsed": "2012-01-01", "numberOfMonths": 12 } ], "certifications": [ "Certificate in AWS" ], "publications": [ "Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014" ], "referees": [ { "name": "Stephen Smith", "text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com", "email": "stephen.smith@company.com", "number": "+61490667215", "position": "Principal" } ], "rawText": "Christopher Nolan 3210 fake street '\''... <rest of resume text>'\''", "redactedText": "**** Objective: To obtain a job '\''... <rest of resume text>'\''"}' \ --form 'identifier=<string>' \ --form 'customIdentifier=<string>' \ --form fileName=Document.pdf \ --form wait=true \ --form rejectDuplicates=true \ --form language=en \ --form expiryTime=2023-11-07T05:31:56Z \ --form 'regionBias={"country": "vn"}' \ --form lowPriority=true
Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
multipart/form-data
Resume to upload, either via file upload or URL to a file
If "true" (default), will return a response only after processing has completed. If "false", will return an empty data object which can be polled at the GET endpoint until processing is complete.
If "true", parsing will fail when the uploaded document is duplicate of an existing document, no credits will be consumed. If "false", will parse the document normally whether its a duplicate or not. If not provided, will fallback to the workspace settings.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Affinda Extract Documentation","description":"Affinda Extract is a document AI platform that turns unstructured documents into structured, validated data through extraction, classification, splitting, and human review. Guides, API reference, and configuration playbooks for building and integrating Affinda models.","colors":{"primary":"#1F3339","light":"#A6FFFB","dark":"#A6FFFB"},"logo":{"light":"https://mintcdn.com/affinda-44/nvZZjc-QOoHXzSQ7/images/affindaextract-inkwell.png?fit=max\u0026auto=format\u0026n=nvZZjc-QOoHXzSQ7\u0026q=85\u0026s=a3e52ff1e274ac5509589a6350b41496","dark":"https://mintcdn.com/affinda-44/lcBcXTOY4DEPcniI/images/affindaextract-greenmist.png?fit=max\u0026auto=format\u0026n=lcBcXTOY4DEPcniI\u0026q=85\u0026s=318f55893ae70c89849919adbbc1a545","href":"https://www.affinda.com/"},"favicon":"https://mintcdn.com/affinda-44/zzz2NA-YwjYcDdgi/Affinda_GreenMist_inkwell_Favicon.png?fit=max\u0026auto=format\u0026n=zzz2NA-YwjYcDdgi\u0026q=85\u0026s=c83f557178ec0b196bef5bafec9b9faf","api":{"playground":{"display":"interactive"},"examples":{"languages":["curl","python","javascript"],"prefill":false}},"appearance":{"default":"system","strict":false},"background":{"decoration":"gradient","color":{"light":"#FFF9F0","dark":"#102A2F"}},"navbar":{"links":[{"href":"https://www.affinda.com/pricing-plans","label":"Pricing"},{"href":"https://trust.affinda.com/","label":"Security"},{"href":"https://www.affinda.com/contact","label":"Contact"},{"href":"/support","label":"Support"}],"primary":{"type":"button","label":"Log in","href":"https://app.affinda.com"}},"footer":{"socials":{"linkedin":"https://linkedin.com/company/affinda","youtube":"https://www.youtube.com/@affinda","github":"https://github.com/affinda"}},"seo":{"metatags":{"og:image":"https://cdn.prod.website-files.com/6854ccfd1a7ab92f392b474d/68ae96fe8f3fdbbe0ae04c73_Affinda%20Open%20Graph%20image%20for%20website%20previews.png","og:site_name":"Affinda","twitter:site":"@affinda"}},"fonts":{"heading":{"family":"NeuSans","weight":500,"source":"https://cdn.prod.website-files.com/6854ccfd1a7ab92f392b474d/685b584938c8018fa3d2e9da_NeuSans-Bold.woff2","format":"woff2"},"body":{"family":"NeuSans","weight":400,"source":"https://cdn.prod.website-files.com/6854ccfd1a7ab92f392b474d/685b5849e08b8110997b8e4f_NeuSans-Regular.woff2","format":"woff2"}},"integrations":{"gtm":{"tagId":"GTM-NCW6M2B"}},"banner":{"content":"New to resume parsing? Start with the [Resume Parser console](https://resume-parser.affinda.com/). (Existing resume parsing integrations continue to be supported by Affinda Extract.)","color":{"light":"#102A2F","dark":"#102A2F"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"affinda-44","hasAudioNarration":false,"actualSubdomain":"affinda-44","customDomains":["docs.affinda.com"],"gitSource":{"type":"github","owner":"affinda","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae7acad2102be7f643b74a0","collectionId":"41f0c355-0a3e-4328-9be0-f886baa2e025","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae7acad2102be7f643b74a0"},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae7adaa25d97c0814f40b37","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"default","tag":"API Reference","count":163},{"language":"default","tag":"Endpoints","count":108},{"language":"default","tag":"Deprecated Versions","count":45},{"language":"default","tag":"v2 Endpoints (Legacy)","count":45},{"language":"default","tag":"Configuration Guide","count":26},{"language":"default","tag":"Deprecated End Points","count":25},{"language":"default","tag":"Search \u0026 Match","count":24},{"language":"default","tag":"Extract Handbook","count":13},{"language":"default","tag":"Additional Resources","count":10},{"language":"default","tag":"Data Sources","count":10}]},"assistantConfig":{"enableAskAiButton":true,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@affinda.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"privacy":{"consentBanner":{"enabled":true}},"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"html.dark{--tw-prose-body: #FFF9F0;--tw-prose-headings: #FFFFFF;--tw-prose-bullets: #FFFFFF}html.dark .mdx-content{color:#FFF9F0}span.text-white.z-10{color:#000000!important}#navbar-primary-cta,#navbar-primary-cta *,a[href=\"https://app.affinda.com\"],a[href=\"https://app.affinda.com\"] *,#navbar a[href*=\"app.affinda.com\"],#navbar a[href*=\"app.affinda.com\"] *{color:#000000!important}"}],"page":{"pagePath":"api-reference/resume-parser/upload-a-resume-for-parsing","slug":"/api-reference/resume-parser/upload-a-resume-for-parsing","pageMetadata":{"title":"Upload a resume for parsing","description":"\n**New customers:** this endpoint is part of our legacy v2 API. We recommend using the [POST /documents](#post-/documents) endpoint from our updated API instead — it supports parsing of all document types (resumes, invoices, etc.) through a single, unified interface.\u003cbr/>\u003cbr/>\nUploads a resume for parsing. When successful, returns an `identifier` in the response for subsequent use with the [/resumes/{identifier}](#get-/resumes/-identifier-) endpoint to check processing status and retrieve results.\u003cbr/>\nResumes can be uploaded as a file or a URL. In addition, data can be added directly if users want to upload directly without parsing any resume file. For uploading resume data, the `data` argument provided must be a JSON-encoded string. Data uploads will not impact upon parsing credits.","deprecated":true,"version":null,"openapi":"https://api.affinda.com/static/v2/api_spec.yaml post /v2/resumes","href":"/api-reference/resume-parser/upload-a-resume-for-parsing","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"New customers:\"\n }), \" this endpoint is part of our legacy v2 API. We recommend using the \", _jsx(_components.a, {\n href: \"#post-/documents\",\n children: \"POST /documents\"\n }), \" endpoint from our updated API instead — it supports parsing of all document types (resumes, invoices, etc.) through a single, unified interface.\", _jsx(\"br\", {}), _jsx(\"br\", {}), \"\\nUploads a resume for parsing. When successful, returns an \", _jsx(_components.code, {\n children: \"identifier\"\n }), \" in the response for subsequent use with the \", _jsx(_components.a, {\n href: \"#get-/resumes/-identifier-\",\n children: \"/resumes/\"\n }), \" endpoint to check processing status and retrieve results.\", _jsx(\"br\", {}), \"\\nResumes can be uploaded as a file or a URL. In addition, data can be added directly if users want to upload directly without parsing any resume file. For uploading resume data, the \", _jsx(_components.code, {\n children: \"data\"\n }), \" argument provided must be a JSON-encoded string. Data uploads will not impact upon parsing credits.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Upload a resume for parsing","description":"\n**New customers:** this endpoint is part of our legacy v2 API. We recommend using the [POST /documents](#post-/documents) endpoint from our updated API instead — it supports parsing of all document types (resumes, invoices, etc.) through a single, unified interface.\u003cbr/>\u003cbr/>\nUploads a resume for parsing. When successful, returns an `identifier` in the response for subsequent use with the [/resumes/{identifier}](#get-/resumes/-identifier-) endpoint to check processing status and retrieve results.\u003cbr/>\nResumes can be uploaded as a file or a URL. In addition, data can be added directly if users want to upload directly without parsing any resume file. For uploading resume data, the `data` argument provided must be a JSON-encoded string. Data uploads will not impact upon parsing credits.","deprecated":true,"version":null,"openapi":"https://api.affinda.com/static/v2/api_spec.yaml post /v2/resumes","href":"/api-reference/resume-parser/upload-a-resume-for-parsing","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"deprecated":true,"tags":["Resume Parser"],"summary":"Upload a resume for parsing","operationId":"createResume","description":"\n**New customers:** this endpoint is part of our legacy v2 API. We recommend using the [POST /documents](#post-/documents) endpoint from our updated API instead — it supports parsing of all document types (resumes, invoices, etc.) through a single, unified interface.\u003cbr/>\u003cbr/>\nUploads a resume for parsing. When successful, returns an `identifier` in the response for subsequent use with the [/resumes/{identifier}](#get-/resumes/-identifier-) endpoint to check processing status and retrieve results.\u003cbr/>\nResumes can be uploaded as a file or a URL. In addition, data can be added directly if users want to upload directly without parsing any resume file. For uploading resume data, the `data` argument provided must be a JSON-encoded string. Data uploads will not impact upon parsing credits.","responses":{"200":"3a321ae2-0090-41bf-ae74-9fababc83245","201":"e30978da-6d12-48b5-9329-414d9901040e","400":"429f4083-7f7c-46c9-bdd6-679ef215a83d","401":"606d6f23-1511-40b0-8a3a-55360f14d3b3","403":"64b2495d-c3f7-4d90-81cb-930abc71e7d1","default":"f3851b72-3f9d-4a90-aa6d-ed83a6b0b021"},"requestBody":"921f8c26-26d7-449e-8b74-0d5777057064","method":"post","type":"path","servers":["7b8b5e42-f7cb-4032-902c-d809290d083d"],"security":["8e440d4d-1974-4c17-b3e1-61915164c49c"],"path":"/v2/resumes","baseUrlOptions":["https://{region}.affinda.com"],"title":"Upload a resume for parsing","codeSamples":[],"requestExampleLanguages":["bash","python","javascript"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"description":"Resume to upload, either via file upload or URL to a file","required":true,"content":{"multipart/form-data":{"schema":{"type":"object","title":"ResumeRequestBody","additionalProperties":false,"properties":{"file":{"type":"string","format":"binary","description":"File as binary data blob. Supported formats: PDF, DOC, DOCX, TXT, RTF, HTML, PNG, JPG, TIFF, ODT, XLS, XLSX","uniqueKey":"file","typeLabel":"file"},"url":{"oneOf":[{"type":"string","description":"URL to download the resume.","example":"https://api.affinda.com/static/sample_resumes/example.docx","uniqueKey":"url.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL to download the resume.","example":"https://api.affinda.com/static/sample_resumes/example.docx","uniqueKey":"url.oneOf.1","typeLabel":"null"}],"uniqueKey":"url","typeLabel":"string | null"},"data":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"string","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"},{"type":"integer","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.2","typeLabel":"integer"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.3","typeLabel":"null"},{"type":"number","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.4","typeLabel":"number"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.5","typeLabel":"null"},{"type":"boolean","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.6","typeLabel":"boolean"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.7","typeLabel":"null"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"data.oneOf.0.additionalProperties.oneOf.8.items.[INDEX]","typeLabel":"any"},"description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.8","typeLabel":"any[]"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.9","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.additionalProperties","typeLabel":"string · null · integer · null · number · null · boolean · null · any[] · null"},"description":"A JSON-encoded string of the `ResumeData` object.","properties":{"name":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith","uniqueKey":"data.oneOf.0.name.oneOf.0.raw","typeLabel":"string"},"first":{"type":"string","example":"Tim","uniqueKey":"data.oneOf.0.name.oneOf.0.first","typeLabel":"string"},"last":{"type":"string","example":"Smith","uniqueKey":"data.oneOf.0.name.oneOf.0.last","typeLabel":"string"},"middle":{"type":"string","example":"A.","uniqueKey":"data.oneOf.0.name.oneOf.0.middle","typeLabel":"string"},"title":{"type":"string","example":"Dr","uniqueKey":"data.oneOf.0.name.oneOf.0.title","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.name.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith"},"first":{"type":"string","example":"Tim"},"last":{"type":"string","example":"Smith"},"middle":{"type":"string","example":"A."},"title":{"type":"string","example":"Dr"}},"uniqueKey":"data.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.name","typeLabel":"object | null"},"phoneNumbers":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.phoneNumbers.items.[INDEX]","typeLabel":"string"},"example":["(704) 996-9966","+61412632636"],"uniqueKey":"data.oneOf.0.phoneNumbers","typeLabel":"string[]"},"phoneNumberDetails":{"type":"array","items":{"type":"object","properties":{"rawText":{"type":"string","nullable":false,"example":"+61412632636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].rawText","typeLabel":"string"},"formattedNumber":{"oneOf":[{"type":"string","example":"+61 412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].formattedNumber.oneOf.0","typeLabel":"string"},{"type":"null","example":"+61 412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].formattedNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].formattedNumber","typeLabel":"string | null"},"countryCode":{"oneOf":[{"type":"string","example":"AU","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].countryCode.oneOf.0","typeLabel":"string"},{"type":"null","example":"AU","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].countryCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].countryCode","typeLabel":"string | null"},"internationalCountryCode":{"oneOf":[{"type":"integer","example":61,"minimum":1,"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].internationalCountryCode.oneOf.0","typeLabel":"integer"},{"type":"null","example":61,"minimum":1,"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].internationalCountryCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].internationalCountryCode","typeLabel":"integer | null"},"nationalNumber":{"oneOf":[{"type":"string","example":"0412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].nationalNumber.oneOf.0","typeLabel":"string"},{"type":"null","example":"0412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].nationalNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].nationalNumber","typeLabel":"string | null"}},"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.phoneNumberDetails","typeLabel":"object[]"},"websites":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.websites.items.[INDEX]","typeLabel":"string"},"example":["www.timsmith.com"],"uniqueKey":"data.oneOf.0.websites","typeLabel":"string[]"},"emails":{"type":"array","items":{"type":"string","format":"email","uniqueKey":"data.oneOf.0.emails.items.[INDEX]","typeLabel":"string\u003cemail>"},"example":["timsmith@vt.edu"],"uniqueKey":"data.oneOf.0.emails","typeLabel":"string\u003cemail>[]"},"dateOfBirth":{"oneOf":[{"type":"string","example":"1992-01-01","uniqueKey":"data.oneOf.0.dateOfBirth.oneOf.0","typeLabel":"string"},{"type":"null","example":"1992-01-01","uniqueKey":"data.oneOf.0.dateOfBirth.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.dateOfBirth","typeLabel":"string | null"},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA","isRequired":true,"uniqueKey":"data.oneOf.0.location.oneOf.0.rawInput","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.location.oneOf.0","typeLabel":"object"},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}},"uniqueKey":"data.oneOf.0.location.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location","typeLabel":"object | null"},"objective":{"oneOf":[{"type":"string","default":"","uniqueKey":"data.oneOf.0.objective.oneOf.0","typeLabel":"string"},{"type":"null","default":"","uniqueKey":"data.oneOf.0.objective.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.objective","typeLabel":"string | null"},"languages":{"type":"array","items":{"type":"string","enum":["Ainu","Akan","Akkadian","Amharic","Anam","Arabic","Aramaic","Arem","Armenian","Awadhi","Aymara","Azari","Bagheli","Bagri","Bahasa","Bahasa Indonesian","Bambara","Bangala","Bardi","Bassa","Batak","Belarusian","Bemba","Benga","Bengali","Berber","Bhojpuri","Bislama","Brahui","Bulgarian","Bunu","Cambodian","Carew","Carib","Catalan","Cebuano","Chakma","Chamorro","Chango","Chewa","Croatian","Czech","Dagbani","Danish","Dari","Dayi","Dhatki","Dhivehi","Dinka","Dogri","Duala","Dutch","English","Esperanto","Estonian","Ewondo","Faroese","Filipino","Finnish","Formula","French","Frisian","Friulian","Fula","Gaelic","Galo","Garhwali","Garifuna","German","Gikuyu","Gujarati","Gujerati","Gwere","Hawaiian","Haya","Hebrew","Hindi","Hmu","Hokkien","Hopi","Hungarian","Hup","Ibanag","Igbo","Ilokano","Indonesian","Intermediate","Irish","Italian","Japanese","Jiba","Kachin","Kalenjin","Kamayo","Kannada","Kaonde","Kayan","Khandeshi","Khmer","Kikuyu","Kodava","Koma","Kongo","Konkani","Korean","Korwa","Kreyol","Krio","Kumaoni","Kurdish","Kurukh","Kwa","Ladino","Lango","Latvian","Lawa","Lingala","Lithuanian","Lule","Luxembourgish","Magahi","Maithili","Malay","Malayalam","Malaysian","Malvi","Maninka","Manipuri","Manx","Marathi","Mayan","Medumba","Memoni","Mewari","Mizo","Montenegrin","Mwan","Mwanga","Ndebele","Nepali","Nimadi","Oriya","Oromo","Ovambo","Pamona","Pangasinan","Pashto","Phoenician","Polish","Portuguese","Pulaar","Pular","Punjabi","Quecha","Rajasthani","Romanian","Russian","Sakha","Sango","Santhali","Saraiki","Seim","Shading","Shama","Shan","Shona","Silesian","Sindhi","Slovak","Slovene","Soga","Sogdian","Sotho","Spanish","Sudanese","Sumerian","Surajpuri","Surigaonon","Swati","Swazi","Swedish","Tagalog","Tamil","Tausug","Telugu","Tetum","Tharu","Tibetan","Tigrinya","Tripuri","Tswana","Tulu","Turkish","Tuwali","Ubi","Ukrainian","Urdu","Veps","Vietnamese","Wagdi","Waziri","Xhosa","Yiddish","Yoruba"],"uniqueKey":"data.oneOf.0.languages.items.[INDEX]","typeLabel":"enum\u003cstring>"},"example":["English","French","Arabic"],"uniqueKey":"data.oneOf.0.languages","typeLabel":"enum\u003cstring>[]"},"summary":{"oneOf":[{"type":"string","default":"","uniqueKey":"data.oneOf.0.summary.oneOf.0","typeLabel":"string"},{"type":"null","default":"","uniqueKey":"data.oneOf.0.summary.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.summary","typeLabel":"string | null"},"totalYearsExperience":{"oneOf":[{"type":"integer","example":13,"minimum":0,"uniqueKey":"data.oneOf.0.totalYearsExperience.oneOf.0","typeLabel":"integer"},{"type":"null","example":13,"minimum":0,"uniqueKey":"data.oneOf.0.totalYearsExperience.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.totalYearsExperience","typeLabel":"integer | null"},"education":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"uniqueKey":"data.oneOf.0.education.items.[INDEX].id","typeLabel":"integer"},"organization":{"oneOf":[{"type":"string","example":"Virginia Polytechnic Institute and State University (Virginia Tech)","uniqueKey":"data.oneOf.0.education.items.[INDEX].organization.oneOf.0","typeLabel":"string"},{"type":"null","example":"Virginia Polytechnic Institute and State University (Virginia Tech)","uniqueKey":"data.oneOf.0.education.items.[INDEX].organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].organization","typeLabel":"string | null"},"accreditation":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science","uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.education","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation","typeLabel":"object | null"},"grade":{"oneOf":[{"type":"object","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.raw","typeLabel":"string"},"metric":{"oneOf":[{"type":"string","example":"GPA","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.metric.oneOf.0","typeLabel":"string"},{"type":"null","example":"GPA","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.metric.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.metric","typeLabel":"string | null"},"value":{"type":"string","example":"3.35","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35"},"metric":{"oneOf":[{"type":"string","example":"GPA"},{"type":"null","example":"GPA"}]},"value":{"type":"string","example":"3.35"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade","typeLabel":"object | null"},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA","isRequired":true,"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.rawInput","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0","typeLabel":"object"},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location","typeLabel":"object | null"},"dates":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.completionDate","typeLabel":"string\u003cdate>"},"isCurrent":{"type":"boolean","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.isCurrent","typeLabel":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.startDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","example":"2019-05-01","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.startDate","typeLabel":"string\u003cdate> | null"},"rawText":{"type":"string","example":"May-Aug '18","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.rawText","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01"},"isCurrent":{"type":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01"},{"type":"null","format":"date","example":"2019-05-01"}]},"rawText":{"type":"string","example":"May-Aug '18"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates","typeLabel":"object | null"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.education","typeLabel":"object[]"},"workExperience":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","nullable":false,"minimum":1,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].id","typeLabel":"integer"},"jobTitle":{"oneOf":[{"type":"string","example":"Sales and retail assistants","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobTitle.oneOf.0","typeLabel":"string"},{"type":"null","example":"Sales and retail assistants","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobTitle.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobTitle","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","example":"General Motors","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].organization.oneOf.0","typeLabel":"string"},{"type":"null","example":"General Motors","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].organization","typeLabel":"string | null"},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA","isRequired":true,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0.rawInput","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0","typeLabel":"object"},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location","typeLabel":"object | null"},"jobDescription":{"oneOf":[{"type":"string","example":"Interned with supercar Development from May 2017 to August 2017.","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobDescription.oneOf.0","typeLabel":"string"},{"type":"null","example":"Interned with supercar Development from May 2017 to August 2017.","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobDescription","typeLabel":"string | null"},"dates":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"startDate":{"oneOf":[{"type":"string","format":"date","example":"2018-05-01","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.startDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","example":"2018-05-01","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.startDate","typeLabel":"string\u003cdate> | null"},"endDate":{"oneOf":[{"type":"string","format":"date","example":"2018-08-01","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.endDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","example":"2018-08-01","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.endDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.endDate","typeLabel":"string\u003cdate> | null"},"monthsInPosition":{"oneOf":[{"type":"integer","minimum":0,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.monthsInPosition.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":0,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.monthsInPosition.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.monthsInPosition","typeLabel":"integer | null"},"isCurrent":{"type":"boolean","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.isCurrent","typeLabel":"boolean"},"rawText":{"type":"string","example":"May-Aug '18","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.rawText","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"startDate":{"oneOf":[{"type":"string","format":"date","example":"2018-05-01"},{"type":"null","format":"date","example":"2018-05-01"}]},"endDate":{"oneOf":[{"type":"string","format":"date","example":"2018-08-01"},{"type":"null","format":"date","example":"2018-08-01"}]},"monthsInPosition":{"oneOf":[{"type":"integer","minimum":0},{"type":"null","minimum":0}]},"isCurrent":{"type":"boolean"},"rawText":{"type":"string","example":"May-Aug '18"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates","typeLabel":"object | null"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.workExperience","typeLabel":"object[]"},"skills":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","nullable":false,"minimum":1,"uniqueKey":"data.oneOf.0.skills.items.[INDEX].id","typeLabel":"integer"},"name":{"type":"string","example":"Applied Mechanics","uniqueKey":"data.oneOf.0.skills.items.[INDEX].name","typeLabel":"string"},"lastUsed":{"oneOf":[{"type":"string","example":"2012-01-01","uniqueKey":"data.oneOf.0.skills.items.[INDEX].lastUsed.oneOf.0","typeLabel":"string"},{"type":"null","example":"2012-01-01","uniqueKey":"data.oneOf.0.skills.items.[INDEX].lastUsed.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.skills.items.[INDEX].lastUsed","typeLabel":"string | null"},"numberOfMonths":{"oneOf":[{"type":"integer","example":12,"minimum":0,"uniqueKey":"data.oneOf.0.skills.items.[INDEX].numberOfMonths.oneOf.0","typeLabel":"integer"},{"type":"null","example":12,"minimum":0,"uniqueKey":"data.oneOf.0.skills.items.[INDEX].numberOfMonths.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.skills.items.[INDEX].numberOfMonths","typeLabel":"integer | null"}},"uniqueKey":"data.oneOf.0.skills.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.skills","typeLabel":"object[]"},"certifications":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.certifications.items.[INDEX]","typeLabel":"string"},"example":["Certificate in AWS"],"uniqueKey":"data.oneOf.0.certifications","typeLabel":"string[]"},"publications":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.publications.items.[INDEX]","typeLabel":"string"},"example":["Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"],"uniqueKey":"data.oneOf.0.publications","typeLabel":"string[]"},"referees":{"type":"array","items":{"type":"object","additionalProperties":true,"properties":{"name":{"oneOf":[{"type":"string","example":"Stephen Smith","uniqueKey":"data.oneOf.0.referees.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"type":"null","example":"Stephen Smith","uniqueKey":"data.oneOf.0.referees.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.referees.items.[INDEX].name","typeLabel":"string | null"},"text":{"type":"string","example":"Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com","uniqueKey":"data.oneOf.0.referees.items.[INDEX].text","typeLabel":"string"},"email":{"oneOf":[{"type":"string","format":"email","example":"stephen.smith@company.com","uniqueKey":"data.oneOf.0.referees.items.[INDEX].email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","format":"email","example":"stephen.smith@company.com","uniqueKey":"data.oneOf.0.referees.items.[INDEX].email.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.referees.items.[INDEX].email","typeLabel":"string\u003cemail> | null"},"number":{"oneOf":[{"type":"string","example":"+61490667215","uniqueKey":"data.oneOf.0.referees.items.[INDEX].number.oneOf.0","typeLabel":"string"},{"type":"null","example":"+61490667215","uniqueKey":"data.oneOf.0.referees.items.[INDEX].number.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.referees.items.[INDEX].number","typeLabel":"string | null"},"position":{"oneOf":[{"type":"string","example":"Principal","uniqueKey":"data.oneOf.0.referees.items.[INDEX].position.oneOf.0","typeLabel":"string"},{"type":"null","example":"Principal","uniqueKey":"data.oneOf.0.referees.items.[INDEX].position.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.referees.items.[INDEX].position","typeLabel":"string | null"}},"uniqueKey":"data.oneOf.0.referees.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.referees","typeLabel":"object[]"},"rawText":{"type":"string","example":"Christopher Nolan 3210 fake street '... \u003crest of resume text>'","description":"All of the raw text of the parsed resume, example is shortened for readability","uniqueKey":"data.oneOf.0.rawText","typeLabel":"string"},"redactedText":{"type":"string","example":"**** Objective: To obtain a job '... \u003crest of resume text>'","description":"Redacted version of the text in the resume, removing PII.","uniqueKey":"data.oneOf.0.redactedText","typeLabel":"string"}},"uniqueKey":"data.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{"type":"string","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"},{"type":"integer","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.2","typeLabel":"integer"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.3","typeLabel":"null"},{"type":"number","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.4","typeLabel":"number"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.5","typeLabel":"null"},{"type":"boolean","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.6","typeLabel":"boolean"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.7","typeLabel":"null"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"data.oneOf.1.additionalProperties.oneOf.8.items.[INDEX]","typeLabel":"any"},"description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.8","typeLabel":"any[]"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.9","typeLabel":"null"}],"uniqueKey":"data.oneOf.1.additionalProperties","typeLabel":"string · null · integer · null · number · null · boolean · null · any[] · null"},"description":"A JSON-encoded string of the `ResumeData` object.","properties":{"name":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith"},"first":{"type":"string","example":"Tim"},"last":{"type":"string","example":"Smith"},"middle":{"type":"string","example":"A."},"title":{"type":"string","example":"Dr"}}},{"type":"null","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith"},"first":{"type":"string","example":"Tim"},"last":{"type":"string","example":"Smith"},"middle":{"type":"string","example":"A."},"title":{"type":"string","example":"Dr"}}}]},"phoneNumbers":{"type":"array","items":{"type":"string"},"example":["(704) 996-9966","+61412632636"]},"phoneNumberDetails":{"type":"array","items":{"type":"object","properties":{"rawText":{"type":"string","nullable":false,"example":"+61412632636"},"formattedNumber":{"oneOf":[{"type":"string","example":"+61 412 632 636"},{"type":"null","example":"+61 412 632 636"}]},"countryCode":{"oneOf":[{"type":"string","example":"AU"},{"type":"null","example":"AU"}]},"internationalCountryCode":{"oneOf":[{"type":"integer","example":61,"minimum":1},{"type":"null","example":61,"minimum":1}]},"nationalNumber":{"oneOf":[{"type":"string","example":"0412 632 636"},{"type":"null","example":"0412 632 636"}]}}}},"websites":{"type":"array","items":{"type":"string"},"example":["www.timsmith.com"]},"emails":{"type":"array","items":{"type":"string","format":"email"},"example":["timsmith@vt.edu"]},"dateOfBirth":{"oneOf":[{"type":"string","example":"1992-01-01"},{"type":"null","example":"1992-01-01"}]},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}}]},"objective":{"oneOf":[{"type":"string","default":""},{"type":"null","default":""}]},"languages":{"type":"array","items":{"type":"string","enum":["Ainu","Akan","Akkadian","Amharic","Anam","Arabic","Aramaic","Arem","Armenian","Awadhi","Aymara","Azari","Bagheli","Bagri","Bahasa","Bahasa Indonesian","Bambara","Bangala","Bardi","Bassa","Batak","Belarusian","Bemba","Benga","Bengali","Berber","Bhojpuri","Bislama","Brahui","Bulgarian","Bunu","Cambodian","Carew","Carib","Catalan","Cebuano","Chakma","Chamorro","Chango","Chewa","Croatian","Czech","Dagbani","Danish","Dari","Dayi","Dhatki","Dhivehi","Dinka","Dogri","Duala","Dutch","English","Esperanto","Estonian","Ewondo","Faroese","Filipino","Finnish","Formula","French","Frisian","Friulian","Fula","Gaelic","Galo","Garhwali","Garifuna","German","Gikuyu","Gujarati","Gujerati","Gwere","Hawaiian","Haya","Hebrew","Hindi","Hmu","Hokkien","Hopi","Hungarian","Hup","Ibanag","Igbo","Ilokano","Indonesian","Intermediate","Irish","Italian","Japanese","Jiba","Kachin","Kalenjin","Kamayo","Kannada","Kaonde","Kayan","Khandeshi","Khmer","Kikuyu","Kodava","Koma","Kongo","Konkani","Korean","Korwa","Kreyol","Krio","Kumaoni","Kurdish","Kurukh","Kwa","Ladino","Lango","Latvian","Lawa","Lingala","Lithuanian","Lule","Luxembourgish","Magahi","Maithili","Malay","Malayalam","Malaysian","Malvi","Maninka","Manipuri","Manx","Marathi","Mayan","Medumba","Memoni","Mewari","Mizo","Montenegrin","Mwan","Mwanga","Ndebele","Nepali","Nimadi","Oriya","Oromo","Ovambo","Pamona","Pangasinan","Pashto","Phoenician","Polish","Portuguese","Pulaar","Pular","Punjabi","Quecha","Rajasthani","Romanian","Russian","Sakha","Sango","Santhali","Saraiki","Seim","Shading","Shama","Shan","Shona","Silesian","Sindhi","Slovak","Slovene","Soga","Sogdian","Sotho","Spanish","Sudanese","Sumerian","Surajpuri","Surigaonon","Swati","Swazi","Swedish","Tagalog","Tamil","Tausug","Telugu","Tetum","Tharu","Tibetan","Tigrinya","Tripuri","Tswana","Tulu","Turkish","Tuwali","Ubi","Ukrainian","Urdu","Veps","Vietnamese","Wagdi","Waziri","Xhosa","Yiddish","Yoruba"]},"example":["English","French","Arabic"]},"summary":{"oneOf":[{"type":"string","default":""},{"type":"null","default":""}]},"totalYearsExperience":{"oneOf":[{"type":"integer","example":13,"minimum":0},{"type":"null","example":13,"minimum":0}]},"education":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1},"organization":{"oneOf":[{"type":"string","example":"Virginia Polytechnic Institute and State University (Virginia Tech)"},{"type":"null","example":"Virginia Polytechnic Institute and State University (Virginia Tech)"}]},"accreditation":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science"}}},{"type":"null","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science"}}}]},"grade":{"oneOf":[{"type":"object","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35"},"metric":{"oneOf":[{"type":"string","example":"GPA"},{"type":"null","example":"GPA"}]},"value":{"type":"string","example":"3.35"}}},{"type":"null","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35"},"metric":{"oneOf":[{"type":"string","example":"GPA"},{"type":"null","example":"GPA"}]},"value":{"type":"string","example":"3.35"}}}]},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}}]},"dates":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01"},"isCurrent":{"type":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01"},{"type":"null","format":"date","example":"2019-05-01"}]},"rawText":{"type":"string","example":"May-Aug '18"}}},{"type":"null","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01"},"isCurrent":{"type":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01"},{"type":"null","format":"date","example":"2019-05-01"}]},"rawText":{"type":"string","example":"May-Aug '18"}}}]}}}},"workExperience":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","nullable":false,"minimum":1},"jobTitle":{"oneOf":[{"type":"string","example":"Sales and retail assistants"},{"type":"null","example":"Sales and retail assistants"}]},"organization":{"oneOf":[{"type":"string","example":"General Motors"},{"type":"null","example":"General Motors"}]},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}}]},"jobDescription":{"oneOf":[{"type":"string","example":"Interned with supercar Development from May 2017 to August 2017."},{"type":"null","example":"Interned with supercar Development from May 2017 to August 2017."}]},"dates":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"startDate":{"oneOf":[{"type":"string","format":"date","example":"2018-05-01"},{"type":"null","format":"date","example":"2018-05-01"}]},"endDate":{"oneOf":[{"type":"string","format":"date","example":"2018-08-01"},{"type":"null","format":"date","example":"2018-08-01"}]},"monthsInPosition":{"oneOf":[{"type":"integer","minimum":0},{"type":"null","minimum":0}]},"isCurrent":{"type":"boolean"},"rawText":{"type":"string","example":"May-Aug '18"}}},{"type":"null","additionalProperties":false,"properties":{"startDate":{"oneOf":[{"type":"string","format":"date","example":"2018-05-01"},{"type":"null","format":"date","example":"2018-05-01"}]},"endDate":{"oneOf":[{"type":"string","format":"date","example":"2018-08-01"},{"type":"null","format":"date","example":"2018-08-01"}]},"monthsInPosition":{"oneOf":[{"type":"integer","minimum":0},{"type":"null","minimum":0}]},"isCurrent":{"type":"boolean"},"rawText":{"type":"string","example":"May-Aug '18"}}}]}}}},"skills":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","nullable":false,"minimum":1},"name":{"type":"string","example":"Applied Mechanics"},"lastUsed":{"oneOf":[{"type":"string","example":"2012-01-01"},{"type":"null","example":"2012-01-01"}]},"numberOfMonths":{"oneOf":[{"type":"integer","example":12,"minimum":0},{"type":"null","example":12,"minimum":0}]}}}},"certifications":{"type":"array","items":{"type":"string"},"example":["Certificate in AWS"]},"publications":{"type":"array","items":{"type":"string"},"example":["Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"]},"referees":{"type":"array","items":{"type":"object","additionalProperties":true,"properties":{"name":{"oneOf":[{"type":"string","example":"Stephen Smith"},{"type":"null","example":"Stephen Smith"}]},"text":{"type":"string","example":"Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com"},"email":{"oneOf":[{"type":"string","format":"email","example":"stephen.smith@company.com"},{"type":"null","format":"email","example":"stephen.smith@company.com"}]},"number":{"oneOf":[{"type":"string","example":"+61490667215"},{"type":"null","example":"+61490667215"}]},"position":{"oneOf":[{"type":"string","example":"Principal"},{"type":"null","example":"Principal"}]}}}},"rawText":{"type":"string","example":"Christopher Nolan 3210 fake street '... \u003crest of resume text>'","description":"All of the raw text of the parsed resume, example is shortened for readability"},"redactedText":{"type":"string","example":"**** Objective: To obtain a job '... \u003crest of resume text>'","description":"Redacted version of the text in the resume, removing PII."}},"uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"object | null"},"identifier":{"type":"string","description":"Deprecated in favor of `customIdentifier`.","deprecated":true,"uniqueKey":"identifier","typeLabel":"string"},"customIdentifier":{"type":"string","description":"Specify a custom identifier for the document if you need one, not required to be unique.","uniqueKey":"customIdentifier","typeLabel":"string"},"fileName":{"oneOf":[{"type":"string","description":"Optional filename of the file","example":"Document.pdf","uniqueKey":"fileName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Optional filename of the file","example":"Document.pdf","uniqueKey":"fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"fileName","typeLabel":"string | null"},"wait":{"type":"boolean","description":"If \"true\" (default), will return a response only after processing has completed. If \"false\", will return an empty data object which can be polled at the GET endpoint until processing is complete.","example":true,"default":true,"nullable":false,"uniqueKey":"wait","typeLabel":"boolean"},"rejectDuplicates":{"oneOf":[{"type":"boolean","description":"If \"true\", parsing will fail when the uploaded document is duplicate of an existing document, no credits will be consumed. If \"false\", will parse the document normally whether its a duplicate or not. If not provided, will fallback to the workspace settings.","example":true,"uniqueKey":"rejectDuplicates.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"If \"true\", parsing will fail when the uploaded document is duplicate of an existing document, no credits will be consumed. If \"false\", will parse the document normally whether its a duplicate or not. If not provided, will fallback to the workspace settings.","example":true,"uniqueKey":"rejectDuplicates.oneOf.1","typeLabel":"null"}],"uniqueKey":"rejectDuplicates","typeLabel":"boolean | null"},"language":{"oneOf":[{"type":"string","description":"Language code in ISO 639-1 format. Must specify zh-cn or zh-tw for Chinese.","example":"en","uniqueKey":"language.oneOf.0","typeLabel":"string"},{"type":"null","description":"Language code in ISO 639-1 format. Must specify zh-cn or zh-tw for Chinese.","example":"en","uniqueKey":"language.oneOf.1","typeLabel":"null"}],"uniqueKey":"language","typeLabel":"string | null"},"expiryTime":{"oneOf":[{"type":"string","format":"date-time","description":"The date/time in ISO-8601 format when the document will be automatically deleted. Defaults to no expiry.","uniqueKey":"expiryTime.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"The date/time in ISO-8601 format when the document will be automatically deleted. Defaults to no expiry.","uniqueKey":"expiryTime.oneOf.1","typeLabel":"null"}],"uniqueKey":"expiryTime","typeLabel":"string\u003cdate-time> | null"},"regionBias":{"type":"string","description":"A JSON representation of the RegionBias object.","example":"{\"country\": \"vn\"}","uniqueKey":"regionBias","typeLabel":"string"},"lowPriority":{"type":"boolean","description":"Explicitly mark this document as low priority.","example":true,"uniqueKey":"lowPriority","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"ResumeRequestBody · object"},"examples":{"Example":{"title":"Example","value":{"file":"\u003cstring>","url":"https://api.affinda.com/static/sample_resumes/example.docx","data":{"name":{"raw":"Tim A. Smith","first":"Tim","last":"Smith","middle":"A.","title":"Dr"},"phoneNumbers":["(704) 996-9966","+61412632636"],"phoneNumberDetails":[{"rawText":"+61412632636","formattedNumber":"+61 412 632 636","countryCode":"AU","internationalCountryCode":61,"nationalNumber":"0412 632 636"}],"websites":["www.timsmith.com"],"emails":["timsmith@vt.edu"],"dateOfBirth":"1992-01-01","location":{"rawInput":"Blacksburg, VA"},"objective":"","languages":["English","French","Arabic"],"summary":"","totalYearsExperience":13,"education":[{"id":2,"organization":"Virginia Polytechnic Institute and State University (Virginia Tech)","accreditation":{"education":"Bachelor of Science"},"grade":{"raw":"GPA : 3.35","metric":"GPA","value":"3.35"},"location":{"rawInput":"Blacksburg, VA"},"dates":{"completionDate":"2021-05-01","isCurrent":true,"startDate":"2019-05-01","rawText":"May-Aug '18"}}],"workExperience":[{"id":2,"jobTitle":"Sales and retail assistants","organization":"General Motors","location":{"rawInput":"Blacksburg, VA"},"jobDescription":"Interned with supercar Development from May 2017 to August 2017.","dates":{"startDate":"2018-05-01","endDate":"2018-08-01","monthsInPosition":1,"isCurrent":true,"rawText":"May-Aug '18"}}],"skills":[{"id":2,"name":"Applied Mechanics","lastUsed":"2012-01-01","numberOfMonths":12}],"certifications":["Certificate in AWS"],"publications":["Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"],"referees":[{"name":"Stephen Smith","text":"Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com","email":"stephen.smith@company.com","number":"+61490667215","position":"Principal"}],"rawText":"Christopher Nolan 3210 fake street '... \u003crest of resume text>'","redactedText":"**** Objective: To obtain a job '... \u003crest of resume text>'"},"identifier":"\u003cstring>","customIdentifier":"\u003cstring>","fileName":"Document.pdf","wait":true,"rejectDuplicates":true,"language":"en","expiryTime":"2023-11-07T05:31:56Z","regionBias":"{\"country\": \"vn\"}","lowPriority":true}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"3a321ae2-0090-41bf-ae74-9fababc83245":{"description":"Only returned when wait=True, will return the created resume","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["data","meta","error"],"properties":{"data":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"string","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"},{"type":"integer","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.2","typeLabel":"integer"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.3","typeLabel":"null"},{"type":"number","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.4","typeLabel":"number"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.5","typeLabel":"null"},{"type":"boolean","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.6","typeLabel":"boolean"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.7","typeLabel":"null"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"data.oneOf.0.additionalProperties.oneOf.8.items.[INDEX]","typeLabel":"any"},"description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.8","typeLabel":"any[]"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.9","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.additionalProperties","typeLabel":"string · null · integer · null · number · null · boolean · null · any[] · null"},"description":"A JSON-encoded string of the `ResumeData` object.","properties":{"name":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith","uniqueKey":"data.oneOf.0.name.oneOf.0.raw","typeLabel":"string"},"first":{"type":"string","example":"Tim","uniqueKey":"data.oneOf.0.name.oneOf.0.first","typeLabel":"string"},"last":{"type":"string","example":"Smith","uniqueKey":"data.oneOf.0.name.oneOf.0.last","typeLabel":"string"},"middle":{"type":"string","example":"A.","uniqueKey":"data.oneOf.0.name.oneOf.0.middle","typeLabel":"string"},"title":{"type":"string","example":"Dr","uniqueKey":"data.oneOf.0.name.oneOf.0.title","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.name.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith"},"first":{"type":"string","example":"Tim"},"last":{"type":"string","example":"Smith"},"middle":{"type":"string","example":"A."},"title":{"type":"string","example":"Dr"}},"uniqueKey":"data.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.name","typeLabel":"object | null"},"phoneNumbers":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.phoneNumbers.items.[INDEX]","typeLabel":"string"},"example":["(704) 996-9966","+61412632636"],"uniqueKey":"data.oneOf.0.phoneNumbers","typeLabel":"string[]"},"phoneNumberDetails":{"type":"array","items":{"type":"object","properties":{"rawText":{"type":"string","nullable":false,"example":"+61412632636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].rawText","typeLabel":"string"},"formattedNumber":{"oneOf":[{"type":"string","example":"+61 412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].formattedNumber.oneOf.0","typeLabel":"string"},{"type":"null","example":"+61 412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].formattedNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].formattedNumber","typeLabel":"string | null"},"countryCode":{"oneOf":[{"type":"string","example":"AU","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].countryCode.oneOf.0","typeLabel":"string"},{"type":"null","example":"AU","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].countryCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].countryCode","typeLabel":"string | null"},"internationalCountryCode":{"oneOf":[{"type":"integer","example":61,"minimum":1,"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].internationalCountryCode.oneOf.0","typeLabel":"integer"},{"type":"null","example":61,"minimum":1,"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].internationalCountryCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].internationalCountryCode","typeLabel":"integer | null"},"nationalNumber":{"oneOf":[{"type":"string","example":"0412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].nationalNumber.oneOf.0","typeLabel":"string"},{"type":"null","example":"0412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].nationalNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].nationalNumber","typeLabel":"string | null"}},"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.phoneNumberDetails","typeLabel":"object[]"},"websites":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.websites.items.[INDEX]","typeLabel":"string"},"example":["www.timsmith.com"],"uniqueKey":"data.oneOf.0.websites","typeLabel":"string[]"},"emails":{"type":"array","items":{"type":"string","format":"email","uniqueKey":"data.oneOf.0.emails.items.[INDEX]","typeLabel":"string\u003cemail>"},"example":["timsmith@vt.edu"],"uniqueKey":"data.oneOf.0.emails","typeLabel":"string\u003cemail>[]"},"dateOfBirth":{"oneOf":[{"type":"string","example":"1992-01-01","uniqueKey":"data.oneOf.0.dateOfBirth.oneOf.0","typeLabel":"string"},{"type":"null","example":"1992-01-01","uniqueKey":"data.oneOf.0.dateOfBirth.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.dateOfBirth","typeLabel":"string | null"},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA","isRequired":true,"uniqueKey":"data.oneOf.0.location.oneOf.0.rawInput","typeLabel":"string"},"formatted":{"oneOf":[{"type":"string","readOnly":true,"example":"Blacksburg, VA, USA","uniqueKey":"data.oneOf.0.location.oneOf.0.formatted.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Blacksburg, VA, USA","uniqueKey":"data.oneOf.0.location.oneOf.0.formatted.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.formatted","typeLabel":"string | null"},"postalCode":{"oneOf":[{"type":"string","readOnly":true,"example":"3124","uniqueKey":"data.oneOf.0.location.oneOf.0.postalCode.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"3124","uniqueKey":"data.oneOf.0.location.oneOf.0.postalCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.postalCode","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","readOnly":true,"example":"Virginia","uniqueKey":"data.oneOf.0.location.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Virginia","uniqueKey":"data.oneOf.0.location.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.state","typeLabel":"string | null"},"stateCode":{"oneOf":[{"type":"string","readOnly":true,"example":"TX","uniqueKey":"data.oneOf.0.location.oneOf.0.stateCode.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"TX","uniqueKey":"data.oneOf.0.location.oneOf.0.stateCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.stateCode","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","readOnly":true,"example":"United States","uniqueKey":"data.oneOf.0.location.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"United States","uniqueKey":"data.oneOf.0.location.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.country","typeLabel":"string | null"},"countryCode":{"oneOf":[{"type":"string","readOnly":true,"example":"US","description":"Two letter country code (ISO 3166-1 alpha-2)","uniqueKey":"data.oneOf.0.location.oneOf.0.countryCode.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"US","description":"Two letter country code (ISO 3166-1 alpha-2)","uniqueKey":"data.oneOf.0.location.oneOf.0.countryCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.countryCode","typeLabel":"string | null"},"streetNumber":{"oneOf":[{"type":"string","readOnly":true,"example":"1","uniqueKey":"data.oneOf.0.location.oneOf.0.streetNumber.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"1","uniqueKey":"data.oneOf.0.location.oneOf.0.streetNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.streetNumber","typeLabel":"string | null"},"street":{"oneOf":[{"type":"string","readOnly":true,"example":"Smith St","uniqueKey":"data.oneOf.0.location.oneOf.0.street.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Smith St","uniqueKey":"data.oneOf.0.location.oneOf.0.street.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.street","typeLabel":"string | null"},"apartmentNumber":{"oneOf":[{"type":"string","readOnly":true,"example":"12","uniqueKey":"data.oneOf.0.location.oneOf.0.apartmentNumber.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"12","uniqueKey":"data.oneOf.0.location.oneOf.0.apartmentNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.apartmentNumber","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","readOnly":true,"example":"Blacksburg","uniqueKey":"data.oneOf.0.location.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Blacksburg","uniqueKey":"data.oneOf.0.location.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.city","typeLabel":"string | null"},"latitude":{"oneOf":[{"type":"number","readOnly":true,"example":"67.0124","uniqueKey":"data.oneOf.0.location.oneOf.0.latitude.oneOf.0","typeLabel":"number"},{"type":"null","readOnly":true,"example":"67.0124","uniqueKey":"data.oneOf.0.location.oneOf.0.latitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.latitude","typeLabel":"number | null"},"longitude":{"oneOf":[{"type":"number","readOnly":true,"example":"67.0124","uniqueKey":"data.oneOf.0.location.oneOf.0.longitude.oneOf.0","typeLabel":"number"},{"type":"null","readOnly":true,"example":"67.0124","uniqueKey":"data.oneOf.0.location.oneOf.0.longitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.longitude","typeLabel":"number | null"},"poBox":{"oneOf":[{"type":"string","readOnly":true,"example":"P.O. Box 123","uniqueKey":"data.oneOf.0.location.oneOf.0.poBox.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"P.O. Box 123","uniqueKey":"data.oneOf.0.location.oneOf.0.poBox.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location.oneOf.0.poBox","typeLabel":"string | null"}},"uniqueKey":"data.oneOf.0.location.oneOf.0","typeLabel":"object"},{"type":"null","required":["rawInput"],"properties":{"formatted":{"oneOf":[{"type":"string","readOnly":true,"example":"Blacksburg, VA, USA"},{"type":"null","readOnly":true,"example":"Blacksburg, VA, USA"}]},"postalCode":{"oneOf":[{"type":"string","readOnly":true,"example":"3124"},{"type":"null","readOnly":true,"example":"3124"}]},"state":{"oneOf":[{"type":"string","readOnly":true,"example":"Virginia"},{"type":"null","readOnly":true,"example":"Virginia"}]},"stateCode":{"oneOf":[{"type":"string","readOnly":true,"example":"TX"},{"type":"null","readOnly":true,"example":"TX"}]},"country":{"oneOf":[{"type":"string","readOnly":true,"example":"United States"},{"type":"null","readOnly":true,"example":"United States"}]},"countryCode":{"oneOf":[{"type":"string","readOnly":true,"example":"US","description":"Two letter country code (ISO 3166-1 alpha-2)"},{"type":"null","readOnly":true,"example":"US","description":"Two letter country code (ISO 3166-1 alpha-2)"}]},"rawInput":{"type":"string","example":"Blacksburg, VA"},"streetNumber":{"oneOf":[{"type":"string","readOnly":true,"example":"1"},{"type":"null","readOnly":true,"example":"1"}]},"street":{"oneOf":[{"type":"string","readOnly":true,"example":"Smith St"},{"type":"null","readOnly":true,"example":"Smith St"}]},"apartmentNumber":{"oneOf":[{"type":"string","readOnly":true,"example":"12"},{"type":"null","readOnly":true,"example":"12"}]},"city":{"oneOf":[{"type":"string","readOnly":true,"example":"Blacksburg"},{"type":"null","readOnly":true,"example":"Blacksburg"}]},"latitude":{"oneOf":[{"type":"number","readOnly":true,"example":"67.0124"},{"type":"null","readOnly":true,"example":"67.0124"}]},"longitude":{"oneOf":[{"type":"number","readOnly":true,"example":"67.0124"},{"type":"null","readOnly":true,"example":"67.0124"}]},"poBox":{"oneOf":[{"type":"string","readOnly":true,"example":"P.O. Box 123"},{"type":"null","readOnly":true,"example":"P.O. Box 123"}]}},"uniqueKey":"data.oneOf.0.location.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location","typeLabel":"object | null"},"objective":{"oneOf":[{"type":"string","default":"","uniqueKey":"data.oneOf.0.objective.oneOf.0","typeLabel":"string"},{"type":"null","default":"","uniqueKey":"data.oneOf.0.objective.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.objective","typeLabel":"string | null"},"languages":{"type":"array","items":{"type":"string","enum":["Ainu","Akan","Akkadian","Amharic","Anam","Arabic","Aramaic","Arem","Armenian","Awadhi","Aymara","Azari","Bagheli","Bagri","Bahasa","Bahasa Indonesian","Bambara","Bangala","Bardi","Bassa","Batak","Belarusian","Bemba","Benga","Bengali","Berber","Bhojpuri","Bislama","Brahui","Bulgarian","Bunu","Cambodian","Carew","Carib","Catalan","Cebuano","Chakma","Chamorro","Chango","Chewa","Croatian","Czech","Dagbani","Danish","Dari","Dayi","Dhatki","Dhivehi","Dinka","Dogri","Duala","Dutch","English","Esperanto","Estonian","Ewondo","Faroese","Filipino","Finnish","Formula","French","Frisian","Friulian","Fula","Gaelic","Galo","Garhwali","Garifuna","German","Gikuyu","Gujarati","Gujerati","Gwere","Hawaiian","Haya","Hebrew","Hindi","Hmu","Hokkien","Hopi","Hungarian","Hup","Ibanag","Igbo","Ilokano","Indonesian","Intermediate","Irish","Italian","Japanese","Jiba","Kachin","Kalenjin","Kamayo","Kannada","Kaonde","Kayan","Khandeshi","Khmer","Kikuyu","Kodava","Koma","Kongo","Konkani","Korean","Korwa","Kreyol","Krio","Kumaoni","Kurdish","Kurukh","Kwa","Ladino","Lango","Latvian","Lawa","Lingala","Lithuanian","Lule","Luxembourgish","Magahi","Maithili","Malay","Malayalam","Malaysian","Malvi","Maninka","Manipuri","Manx","Marathi","Mayan","Medumba","Memoni","Mewari","Mizo","Montenegrin","Mwan","Mwanga","Ndebele","Nepali","Nimadi","Oriya","Oromo","Ovambo","Pamona","Pangasinan","Pashto","Phoenician","Polish","Portuguese","Pulaar","Pular","Punjabi","Quecha","Rajasthani","Romanian","Russian","Sakha","Sango","Santhali","Saraiki","Seim","Shading","Shama","Shan","Shona","Silesian","Sindhi","Slovak","Slovene","Soga","Sogdian","Sotho","Spanish","Sudanese","Sumerian","Surajpuri","Surigaonon","Swati","Swazi","Swedish","Tagalog","Tamil","Tausug","Telugu","Tetum","Tharu","Tibetan","Tigrinya","Tripuri","Tswana","Tulu","Turkish","Tuwali","Ubi","Ukrainian","Urdu","Veps","Vietnamese","Wagdi","Waziri","Xhosa","Yiddish","Yoruba"],"uniqueKey":"data.oneOf.0.languages.items.[INDEX]","typeLabel":"enum\u003cstring>"},"example":["English","French","Arabic"],"uniqueKey":"data.oneOf.0.languages","typeLabel":"enum\u003cstring>[]"},"languageCodes":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.languageCodes.items.[INDEX]","typeLabel":"string"},"readOnly":true,"example":["en","fr","ar"],"uniqueKey":"data.oneOf.0.languageCodes","typeLabel":"string[]"},"summary":{"oneOf":[{"type":"string","default":"","uniqueKey":"data.oneOf.0.summary.oneOf.0","typeLabel":"string"},{"type":"null","default":"","uniqueKey":"data.oneOf.0.summary.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.summary","typeLabel":"string | null"},"totalYearsExperience":{"oneOf":[{"type":"integer","example":13,"minimum":0,"uniqueKey":"data.oneOf.0.totalYearsExperience.oneOf.0","typeLabel":"integer"},{"type":"null","example":13,"minimum":0,"uniqueKey":"data.oneOf.0.totalYearsExperience.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.totalYearsExperience","typeLabel":"integer | null"},"headShot":{"oneOf":[{"type":"string","format":"byte","readOnly":true,"description":"base64 encoded string","uniqueKey":"data.oneOf.0.headShot.oneOf.0","typeLabel":"string\u003cbyte>"},{"type":"null","format":"byte","readOnly":true,"description":"base64 encoded string","uniqueKey":"data.oneOf.0.headShot.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.headShot","typeLabel":"string\u003cbyte> | null"},"education":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"uniqueKey":"data.oneOf.0.education.items.[INDEX].id","typeLabel":"integer"},"organization":{"oneOf":[{"type":"string","example":"Virginia Polytechnic Institute and State University (Virginia Tech)","uniqueKey":"data.oneOf.0.education.items.[INDEX].organization.oneOf.0","typeLabel":"string"},{"type":"null","example":"Virginia Polytechnic Institute and State University (Virginia Tech)","uniqueKey":"data.oneOf.0.education.items.[INDEX].organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].organization","typeLabel":"string | null"},"accreditation":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science","uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.education","typeLabel":"string"},"inputStr":{"type":"string","readOnly":true,"example":"Bachelor of Science, Mechanical Engineering, expected","uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.inputStr","typeLabel":"string"},"matchStr":{"oneOf":[{"type":"string","readOnly":true,"example":"Bachelor of Science","uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.matchStr.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Bachelor of Science","uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.matchStr.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.matchStr","typeLabel":"string | null"},"educationLevel":{"oneOf":[{"type":"string","readOnly":true,"example":"bachelors","uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.educationLevel.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"bachelors","uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.educationLevel.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.educationLevel","typeLabel":"string | null"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science"},"inputStr":{"type":"string","readOnly":true,"example":"Bachelor of Science, Mechanical Engineering, expected"},"matchStr":{"oneOf":[{"type":"string","readOnly":true,"example":"Bachelor of Science"},{"type":"null","readOnly":true,"example":"Bachelor of Science"}]},"educationLevel":{"oneOf":[{"type":"string","readOnly":true,"example":"bachelors"},{"type":"null","readOnly":true,"example":"bachelors"}]}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation","typeLabel":"object | null"},"grade":{"oneOf":[{"type":"object","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.raw","typeLabel":"string"},"metric":{"oneOf":[{"type":"string","example":"GPA","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.metric.oneOf.0","typeLabel":"string"},{"type":"null","example":"GPA","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.metric.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.metric","typeLabel":"string | null"},"value":{"type":"string","example":"3.35","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35"},"metric":{"oneOf":[{"type":"string","example":"GPA"},{"type":"null","example":"GPA"}]},"value":{"type":"string","example":"3.35"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade","typeLabel":"object | null"},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA","isRequired":true,"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.rawInput","typeLabel":"string"},"formatted":{"oneOf":[{"type":"string","readOnly":true,"example":"Blacksburg, VA, USA","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.formatted.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Blacksburg, VA, USA","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.formatted.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.formatted","typeLabel":"string | null"},"postalCode":{"oneOf":[{"type":"string","readOnly":true,"example":"3124","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.postalCode.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"3124","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.postalCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.postalCode","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","readOnly":true,"example":"Virginia","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Virginia","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.state","typeLabel":"string | null"},"stateCode":{"oneOf":[{"type":"string","readOnly":true,"example":"TX","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.stateCode.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"TX","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.stateCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.stateCode","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","readOnly":true,"example":"United States","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"United States","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.country","typeLabel":"string | null"},"countryCode":{"oneOf":[{"type":"string","readOnly":true,"example":"US","description":"Two letter country code (ISO 3166-1 alpha-2)","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.countryCode.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"US","description":"Two letter country code (ISO 3166-1 alpha-2)","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.countryCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.countryCode","typeLabel":"string | null"},"streetNumber":{"oneOf":[{"type":"string","readOnly":true,"example":"1","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.streetNumber.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"1","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.streetNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.streetNumber","typeLabel":"string | null"},"street":{"oneOf":[{"type":"string","readOnly":true,"example":"Smith St","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.street.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Smith St","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.street.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.street","typeLabel":"string | null"},"apartmentNumber":{"oneOf":[{"type":"string","readOnly":true,"example":"12","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.apartmentNumber.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"12","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.apartmentNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.apartmentNumber","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","readOnly":true,"example":"Blacksburg","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Blacksburg","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.city","typeLabel":"string | null"},"latitude":{"oneOf":[{"type":"number","readOnly":true,"example":"67.0124","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.latitude.oneOf.0","typeLabel":"number"},{"type":"null","readOnly":true,"example":"67.0124","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.latitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.latitude","typeLabel":"number | null"},"longitude":{"oneOf":[{"type":"number","readOnly":true,"example":"67.0124","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.longitude.oneOf.0","typeLabel":"number"},{"type":"null","readOnly":true,"example":"67.0124","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.longitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.longitude","typeLabel":"number | null"},"poBox":{"oneOf":[{"type":"string","readOnly":true,"example":"P.O. Box 123","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.poBox.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"P.O. Box 123","uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.poBox.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.poBox","typeLabel":"string | null"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0","typeLabel":"object"},{"type":"null","required":["rawInput"],"properties":{"formatted":{"oneOf":[{"type":"string","readOnly":true,"example":"Blacksburg, VA, USA"},{"type":"null","readOnly":true,"example":"Blacksburg, VA, USA"}]},"postalCode":{"oneOf":[{"type":"string","readOnly":true,"example":"3124"},{"type":"null","readOnly":true,"example":"3124"}]},"state":{"oneOf":[{"type":"string","readOnly":true,"example":"Virginia"},{"type":"null","readOnly":true,"example":"Virginia"}]},"stateCode":{"oneOf":[{"type":"string","readOnly":true,"example":"TX"},{"type":"null","readOnly":true,"example":"TX"}]},"country":{"oneOf":[{"type":"string","readOnly":true,"example":"United States"},{"type":"null","readOnly":true,"example":"United States"}]},"countryCode":{"oneOf":[{"type":"string","readOnly":true,"example":"US","description":"Two letter country code (ISO 3166-1 alpha-2)"},{"type":"null","readOnly":true,"example":"US","description":"Two letter country code (ISO 3166-1 alpha-2)"}]},"rawInput":{"type":"string","example":"Blacksburg, VA"},"streetNumber":{"oneOf":[{"type":"string","readOnly":true,"example":"1"},{"type":"null","readOnly":true,"example":"1"}]},"street":{"oneOf":[{"type":"string","readOnly":true,"example":"Smith St"},{"type":"null","readOnly":true,"example":"Smith St"}]},"apartmentNumber":{"oneOf":[{"type":"string","readOnly":true,"example":"12"},{"type":"null","readOnly":true,"example":"12"}]},"city":{"oneOf":[{"type":"string","readOnly":true,"example":"Blacksburg"},{"type":"null","readOnly":true,"example":"Blacksburg"}]},"latitude":{"oneOf":[{"type":"number","readOnly":true,"example":"67.0124"},{"type":"null","readOnly":true,"example":"67.0124"}]},"longitude":{"oneOf":[{"type":"number","readOnly":true,"example":"67.0124"},{"type":"null","readOnly":true,"example":"67.0124"}]},"poBox":{"oneOf":[{"type":"string","readOnly":true,"example":"P.O. Box 123"},{"type":"null","readOnly":true,"example":"P.O. Box 123"}]}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location","typeLabel":"object | null"},"dates":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.completionDate","typeLabel":"string\u003cdate>"},"isCurrent":{"type":"boolean","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.isCurrent","typeLabel":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.startDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","example":"2019-05-01","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.startDate","typeLabel":"string\u003cdate> | null"},"rawText":{"type":"string","example":"May-Aug '18","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.rawText","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01"},"isCurrent":{"type":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01"},{"type":"null","format":"date","example":"2019-05-01"}]},"rawText":{"type":"string","example":"May-Aug '18"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates","typeLabel":"object | null"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.education","typeLabel":"object[]"},"profession":{"oneOf":[{"type":"string","example":"Software Developer","description":"Prediction of the candidate's profession based on recent work experience","readOnly":true,"uniqueKey":"data.oneOf.0.profession.oneOf.0","typeLabel":"string"},{"type":"null","example":"Software Developer","description":"Prediction of the candidate's profession based on recent work experience","readOnly":true,"uniqueKey":"data.oneOf.0.profession.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.profession","typeLabel":"string | null"},"linkedin":{"oneOf":[{"type":"string","example":"https://www.linkedin.com/in/user-name","description":"Linkedin account associated with the candidate","readOnly":true,"uniqueKey":"data.oneOf.0.linkedin.oneOf.0","typeLabel":"string"},{"type":"null","example":"https://www.linkedin.com/in/user-name","description":"Linkedin account associated with the candidate","readOnly":true,"uniqueKey":"data.oneOf.0.linkedin.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.linkedin","typeLabel":"string | null"},"workExperience":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","nullable":false,"minimum":1,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].id","typeLabel":"integer"},"jobTitle":{"oneOf":[{"type":"string","example":"Sales and retail assistants","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobTitle.oneOf.0","typeLabel":"string"},{"type":"null","example":"Sales and retail assistants","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobTitle.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobTitle","typeLabel":"string | null"},"socCode":{"oneOf":[{"type":"string","readOnly":true,"example":"7111","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].socCode.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"7111","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].socCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].socCode","typeLabel":"string | null"},"socName":{"oneOf":[{"type":"string","readOnly":true,"example":"Sales and retail assistants","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].socName.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Sales and retail assistants","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].socName.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].socName","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","example":"General Motors","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].organization.oneOf.0","typeLabel":"string"},{"type":"null","example":"General Motors","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].organization","typeLabel":"string | null"},"industry":{"oneOf":[{"type":"string","readOnly":true,"example":"Automotive","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].industry.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Automotive","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].industry.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].industry","typeLabel":"string | null"},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA","isRequired":true,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0.rawInput","typeLabel":"string"},"formatted":{"oneOf":[{"type":"string","readOnly":true,"example":"Blacksburg, VA, USA","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0.formatted.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"Blacksburg, VA, USA","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0.formatted.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0.formatted","typeLabel":"string | null"},"postalCode":{"oneOf":[{"type":"string","readOnly":true,"example":"3124","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0.postalCode.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"example":"3124","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0.postalCode.oneOf.1","typeLabel"
[...]
